=== debian/control ===
Source: ros-kinetic-robotis-manipulator
Section: misc
Priority: extra
Maintainer: Hye-Jong KIM <hjkim@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/robotis_manipulator
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-manipulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-cmake-modules, ros-kinetic-roscpp
Description: This package contains the manipulation API and functions for controlling the manipulator.
